/// <reference types="react" />
import BaseComponent from '../base-components';
export interface BaseChartsProp {
    id: string;
    width?: string;
    height?: string;
    title?: string;
    subTitle?: string;
    setSeriesDataFunc?: Function;
    setOption?: Function;
    tooltipFormatter?: Function;
    regionJson?: string;
}
declare class BaseCharts extends BaseComponent<BaseChartsProp> {
    constructor(props: BaseChartsProp);
    componentDidMount(): void;
    componentDidUpdate(): boolean;
    createEcharts(): void;
    setSeriesCallBack(): any;
    setCommonConfig(option: any): void;
    renderEcharts(charts: any, option: any): void;
    render(): JSX.Element;
}
export default BaseCharts;
